Validation rounds
GET
/v1/rounds
const url = 'https://api.tako.wtf/v1/rounds';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tako.wtf/v1/roundsBids, funded loans, Gram lent and what the pool earned, newest first.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”before
string
Rounds before this election id
limit
integer
Page size, 1–200, default 50
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
round
required
Election id, the unix time the round starts
string
requests
required
integer
settled
required
integer
poolTake
required
Amount in nanoGram, as a decimal string
string
payout
required
Amount in nanoGram, as a decimal string
string
Example generated
[ { "round": "example", "decidedAt": 1, "lent": "example", "funded": 1, "requests": 1, "settled": 1, "poolTake": "example", "payout": "example" }]Invalid parameter
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}